import { splitEmpty } from './string.js';

export const PATH_DELIMITER = '/';

export function matchPath(baseStr: string, otherStr: string): boolean {
  const base = splitPath(baseStr);
  const other = splitPath(otherStr);

  if (other.length < base.length) {
    return false;
  }

  for (let i = 0; i <= base.length; ++i) {
    if (base[i] !== other[i]) {
      return false;
    }
  }

  return true;
}

export function splitPath(path: string): Array<string> {
  return splitEmpty(path.toLowerCase(), PATH_DELIMITER);
}

export function walkPath(path: string, start = 0): Array<string> {
  const segments = splitPath(path);

  const paths = [];
  for (let i = (start + 1); i <= segments.length; ++i) {
    const next = segments.slice(start, i).join(PATH_DELIMITER);
    paths.push(next);
  }

  return paths;
}
